#
# RevisionManager
#
# Copyright (c) 2001 by beehive elektronische medien GmbH
# Copyright (c) 2001-2003 by Philipp "philiKON" von Weitershausen
#
# This software is distributed under the terms of the Mozilla Public
# License (MPL)
#

"""
$Id: __init__.py,v 1.6 2003/05/02 13:58:02 philipp Exp $
"""

# make sure, 'from Interface import Interface' works...
try:
    from Interface import Interface
except ImportError:
    # Zope <2.6
    import Interface
    Interface.Interface = Interface.Base
del Interface

from RevisionManager import RevisionManager, manage_addForm, \
     manage_addRevisionManager

def initialize(context):
    """
    register the RevisionManager class
    """
    context.registerClass(RevisionManager,
                          constructors=(manage_addForm,
                                        manage_addRevisionManager),
                          icon="www/revisionmanager.png")
    context.registerHelp()
    context.registerHelpTitle('RevisionManager')
